Page MenuHomePhabricator

Determine if it is possible to migrate remaining integration jessie permanent instances to stretch/buster
Closed, ResolvedPublic

Description

I know that this isn't the long-term ideal, that is, we want to migrate all these jobs to Docker eventually; however, this step may buy us time on that migration.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2020, 7:30 PM
thcipriani triaged this task as Medium priority.Jan 15 2020, 7:30 PM

I attempted to run puppet with the role role::ci::slave::labs on an instance I created, integration-slave-test-jeena. I got the following errors:

Error: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install nodejs-legacy' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Package nodejs-legacy is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  nodejs libnode64

and

E: Package 'chromedriver' has no installation candidate
Error: /Stage[main]/Profile::Ci::Browsers/Package[chromedriver]/ensure: change from 'purged' to 'latest' failed: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install chromedriver' returned 100: Reading package lists...
Building dependency tree...
Reading state information...
Package chromedriver is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

So, in order to install npm, we need to install nodejs and libnode64 instead of nodejs-legacy. It looks like chromium-driver is the replacement for chromedriver.

Change 571784 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[wikimedia/portals@master] Add lippng-dev to packages in blubber.yaml

https://gerrit.wikimedia.org/r/571784

jeena added a comment.Feb 12 2020, 7:50 PM

Determined that portals is the only thing requiring the jessie permanent instance after discussion with @thcipriani. If we can get a container to build portals we can move off of the permanent instance.

Change 571784 merged by jenkins-bot:
[wikimedia/portals@master] Add lippng-dev to packages in blubber.yaml

https://gerrit.wikimedia.org/r/571784

Change 578767 had a related patch set uploaded (by Jforrester; owner: Jeena Huneidi):
[wikimedia/portals@master] blubber: Add packages libfreetype6, libfontconfig to fix build errors

https://gerrit.wikimedia.org/r/578767

Change 578767 merged by jenkins-bot:
[wikimedia/portals@master] blubber: Add packages libfreetype6, libfontconfig to fix build errors

https://gerrit.wikimedia.org/r/578767

Change 579045 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[wikimedia/portals@master] blubber: Use existing apache image

https://gerrit.wikimedia.org/r/579045

Change 579045 merged by jenkins-bot:
[wikimedia/portals@master] blubber: Use existing apache image

https://gerrit.wikimedia.org/r/579045

Change 588029 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[integration/config@master] Create node10-portals image

https://gerrit.wikimedia.org/r/588029

Change 588029 merged by jenkins-bot:
[integration/config@master] Create node10-portals image

https://gerrit.wikimedia.org/r/588029

Change 589414 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[integration/config@master] Add run.sh for node10-portals dockerfile

https://gerrit.wikimedia.org/r/589414

Change 589414 merged by jenkins-bot:
[integration/config@master] Add run.sh for node10-portals dockerfile

https://gerrit.wikimedia.org/r/589414

Change 589677 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[integration/config@master] node10-portals: Make run.sh executable

https://gerrit.wikimedia.org/r/589677

Change 589677 merged by jenkins-bot:
[integration/config@master] node10-portals: Make run.sh executable

https://gerrit.wikimedia.org/r/589677

Change 589724 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[integration/config@master] Portals Build: convert to use docker image

https://gerrit.wikimedia.org/r/589724

Mentioned in SAL (#wikimedia-releng) [2020-04-27T21:26:50Z] <James_F> Pushed Jeena's new version of wikimedia-portals-build based on Docker for T242909

Change 589724 merged by jenkins-bot:
[integration/config@master] jjb: [wikimedia-portals-build] Convert to use docker image

https://gerrit.wikimedia.org/r/589724

jeena closed this task as Resolved.May 11 2020, 8:06 PM

All jobs have been moved off of jessie permanent instances.